Subject: Regarding Linking problem in gzip

From: Sarthak Jain <[email-masked]>
Date: Sat, 24 Dec 2016 04:14:24 +0000

Hi,

I am Sarthak Jain working as a Software Developer at Novell, India.

We are using gzip library in our product and I was upgrading the library to the latest version 1.8. But I am facing a problem in building source code of gzip. Compilation goes fine but when linking comes into the picture, it throws the following error(Snapshot Attached).

It basically says that linker version is old and is using 'dwarf2' whereas gcc 4.9.2 (installed on my machine) is using 'dwarf4'. But this problem is happening only for this library, and for other libraries (such as GNU diff, etc), it works just fine.

Can you please comment upon this as to why this problem is happening only for gzip library build and not for others. It will be great help. :)

Thanks
Sarthak